using System;
using Microsoft.SPOT;
using GHI.Processor;

namespace PANDA_3_HTR
{
    public class Program
    { // https://www.ghielectronics.com/docs/29/real-time-clock-rtc
        public static void Main()
        {
            DateTime DT;
            try
            {
                DT = RealTimeClock.GetDateTime();
                Debug.Print("Current Real-time Clock " + DT.ToString());
            }
            catch // If the time is not good due to powerloss or being a new system an exception will be thrown and a new time will need to be set
            {
                Debug.Print("The date was bad and caused a bad time");
                DT = new DateTime(2014, 1, 1, 1, 1, 1); // This will set a time for the Real-time Clock clock to 1:01:01 on 1/1/2014
                RealTimeClock.SetDateTime(DT); //This will set the hardware Real-time Clock to what is in DT
            }

            if (DT.Year < 2011)
            {
                Debug.Print("Time is not resonable");
            }

            Debug.Print("Current Real-time Clock " + RealTimeClock.GetDateTime().ToString());
            DT = new DateTime(2014, 9, 15, 7, 30, 0); // This will set the clock to 9:30:00 on 9/15/2014
            RealTimeClock.SetDateTime(DT); //This will set the hardware Real-time Clock to what is in DT
            Debug.Print("New Real-time Clock " + RealTimeClock.GetDateTime().ToString());
        }
    }
}
